<?php
namespace Typo3\Issue78128\Domain\Model;

/***
 *
 * This file is part of the "Issue78128" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 *  (c) 2016 Robert Jelinek
 *
 ***/

/**
 * TableB
 */
class TableB extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{
    /**
     * c1
     *
     * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Typo3\Issue78128\Domain\Model\TableC>
     */
    protected $c1 = null;

    /**
     * c2
     *
     * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Typo3\Issue78128\Domain\Model\TableC>
     */
    protected $c2 = null;

    /**
     * __construct
     */
    public function __construct()
    {
        //Do not remove the next line: It would break the functionality
        $this->initStorageObjects();
    }

    /**
     * Initializes all ObjectStorage properties
     * Do not modify this method!
     * It will be rewritten on each save in the extension builder
     * You may modify the constructor of this class instead
     *
     * @return void
     */
    protected function initStorageObjects()
    {
        $this->c1 = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
        $this->c2 = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
    }

    /**
     * Adds a TableC
     *
     * @param \Typo3\Issue78128\Domain\Model\TableC $c1
     * @return void
     */
    public function addC1(\Typo3\Issue78128\Domain\Model\TableC $c1)
    {
        $this->c1->attach($c1);
    }

    /**
     * Removes a TableC
     *
     * @param \Typo3\Issue78128\Domain\Model\TableC $c1ToRemove The TableC to be removed
     * @return void
     */
    public function removeC1(\Typo3\Issue78128\Domain\Model\TableC $c1ToRemove)
    {
        $this->c1->detach($c1ToRemove);
    }

    /**
     * Returns the c1
     *
     * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Typo3\Issue78128\Domain\Model\TableC> $c1
     */
    public function getC1()
    {
        return $this->c1;
    }

    /**
     * Sets the c1
     *
     * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Typo3\Issue78128\Domain\Model\TableC> $c1
     * @return void
     */
    public function setC1(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $c1)
    {
        $this->c1 = $c1;
    }

    /**
     * Adds a TableC
     *
     * @param \Typo3\Issue78128\Domain\Model\TableC $c2
     * @return void
     */
    public function addC2(\Typo3\Issue78128\Domain\Model\TableC $c2)
    {
        $this->c2->attach($c2);
    }

    /**
     * Removes a TableC
     *
     * @param \Typo3\Issue78128\Domain\Model\TableC $c2ToRemove The TableC to be removed
     * @return void
     */
    public function removeC2(\Typo3\Issue78128\Domain\Model\TableC $c2ToRemove)
    {
        $this->c2->detach($c2ToRemove);
    }

    /**
     * Returns the c2
     *
     * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Typo3\Issue78128\Domain\Model\TableC> $c2
     */
    public function getC2()
    {
        return $this->c2;
    }

    /**
     * Sets the c2
     *
     * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Typo3\Issue78128\Domain\Model\TableC> $c2
     * @return void
     */
    public function setC2(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $c2)
    {
        $this->c2 = $c2;
    }
}
